# std::ranges::stride_view<V>::stride

From cppreference.com
< cpp‎ | ranges‎ | stride view

constexpr ranges::range_difference_t <_Vp> stride() const noexcept; |  | (since C++23)

Returns a copy of the underlying stride object `stride_`. Equivalent to return stride_;.

### Parameters

(none)

### Return value

The stride value.

### Example

Run this code

    #include <ranges>

    int main()
    {
        constexpr auto view = std::views::iota(1337)
                            | std::views::stride(42);
        static_assert(view.stride() == 42);
    }

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/stride_view/stride&oldid=156890"